package com.chenyang.nse.bussiness.entity.orm.table.core.scheduler;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SCHEDULER_RELATION"
)
public class TCoreSchedulerRelation extends TBaseEntity {
   private static final long serialVersionUID = -7880944886455751870L;
   private String rulesid;
   private String taskid;
   private String taskname;
   private Date createtime;
   private Date updatetime;

   public String getRulesid() {
      return this.rulesid;
   }

   public void setRulesid(String rulesid) {
      this.rulesid = rulesid;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }
}
